/***************************************************************************
 *   Copyright (C) 2008 by Manuel Schrape                                  *
 *   manuel.schrape@gmx.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License.        *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DLG_CONFIG_H
#define DLG_CONFIG_H

#include <QCheckBox>

#include "ui_dlg_Config.h"
#include "../cSettings.h"
#include "../global.h"

class dlg_Config : public QDialog, public Ui::dlg_Config_UI
{
public:
    dlg_Config(QWidget *parent = 0);

    ~dlg_Config();

    cSettings *Settings;
    QCheckBox *cb_Plot[MaxAnalog];
    QCheckBox *cb_Log[MaxAnalog];


    void set_Settings(cSettings *Set);
    cSettings *get_Settings();
};

#endif
